Audio 4 Compatibility whit Macbook Pro M1

Jcdmc
Jcdmc Member Posts: 1 Newcomer
edited August 2022 in Other Software & Hardware

Hello i'm a profesional Dj and i use the soundcard AUDIO 4 DJ and fromthe day i buy the new macbook pro M1 my soundcard is not working anymore. i made all the drivers updates and everything but this not change nothing please HELP ME!!!


Bonjour je suis Dj professionnel et j'utilise la carte son AUDIO 4 DJ de chez Native Instruments. Depuis que je possède un Macbook M1 (m1 max 2021) ma carte son ne marche plus, j'ai fait différentes installation des drivers mais rien n'y fait la carte son reste introuvable par mon Macbook, pouvez vous m'aider, j'ai aussi poser la question chez Native instruments, ils m'ont dit que ça venais de chez vous... HELP!!!

Best Answer

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 7,131 mod
    edited August 2022 Answer ✓

    Hey @Jcdmc I'm really sorry but, as you can read in this article: Compatibility of Native Instruments Products on macOS, it is unsupported since MacOS 10.15:

    • macOS 10.15 terminates the operability of some NI legacy hardware. This includes MASCHINE MK1MASCHINE MIKRO MK1AUDIO 2 / 4 / 8 DJTRAKTOR AUDIO 2 MK1, and TRAKTOR S2 / S4 / X1 MK1.
    • The workaround for macOS 10.12 - 10.14 (as described in this article) does not work on macOS 10.15. If you still want to use these legacy devices, you can only do so on a compatible OS.


Answers

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 7,131 mod
    edited August 2022 Answer ✓

    Hey @Jcdmc I'm really sorry but, as you can read in this article: Compatibility of Native Instruments Products on macOS, it is unsupported since MacOS 10.15:

    • macOS 10.15 terminates the operability of some NI legacy hardware. This includes MASCHINE MK1MASCHINE MIKRO MK1AUDIO 2 / 4 / 8 DJTRAKTOR AUDIO 2 MK1, and TRAKTOR S2 / S4 / X1 MK1.
    • The workaround for macOS 10.12 - 10.14 (as described in this article) does not work on macOS 10.15. If you still want to use these legacy devices, you can only do so on a compatible OS.


  • Mutis
    Mutis Member Posts: 472 Pro

    Get audio6/10 since these are class compliant and will work even with iPads. If you buy Traktor Pro 3 then you can get any class compliant interface since it’s not dongle dependent like previous versions.

  • desagradable
    desagradable Member Posts: 1 Member

    ????

    audio 4 dj is compatible with traktor pro 3 than is compatible with m1… i dont understand

Back To Top